
# PON checklist for modules

> Example of how an ontology module in PON should like are the [JAMS ontology](https://github.com/polifonia-project/jams-ontology) and the [BELL ontology](https://github.com/polifonia-project/bell-ontology).


## :red_circle: Must have

[ ] Create the main OWL file in the `ontology/` folder.

[ ] Create a README for the ontology (compliant with our [rulebook](https://github.com/polifonia-project/rulebook)).

[ ] Make sure the ontology is published at a persistent URI. See how to implement redirect rules.

[ ] Create example data for ontology testing, using the competency questions.

[ ] Provide a licence specification for the ontology.


## :orange_circle: Should have

[ ] Include high-quality documentation for reuse, with diagrams, examples and tutorials.

[ ] Provide a canonical citation associated with the resource.

[ ] If applicable, please include links to any KG (or other projects) that was developed using this ontology.

[ ] Document on reuse/extension of resources (including upper ontologies and/or patterns).


## :yellow_circle: Nice to have

[ ] Does the ontology include any data transformation utilities?

[ ] Specify if the ontology is of **specific** pilot reuse, or has more **general** applicability. If the latter applies, please provide some examples or explain how this is possible.

[ ] Specify if there is potential for extensibility to meet future requirements.
